# SpongeCommandContexts (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: SpongeCommandContexts

Package co.aikar.commands

# Class SpongeCommandContexts

java.lang.Object
co.aikar.commands.CommandContexts<SpongeCommandExecutionContext>
co.aikar.commands.SpongeCommandContexts

public class SpongeCommandContexts extends co.aikar.commands.CommandContexts<SpongeCommandExecutionContext>

## Field Summary

### Fields inherited from class co.aikar.commands.CommandContexts

`contextMap, manager`

## Constructor Summary

Constructors
Constructor
Description
`SpongeCommandContexts(SpongeCommandManager manager)`

## Method Summary

### Methods inherited from class co.aikar.commands.CommandContexts

`getResolver, registerContext, registerIssuerAwareContext, registerIssuerOnlyContext, registerOptionalContext, registerSenderAwareContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpongeCommandContexts

public SpongeCommandContexts (SpongeCommandManager manager)